> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reachedapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Call Logs

> Returns a paginated list of call logs with optional filters.

# List Call Logs

Returns a paginated list of call logs with optional filters. Use this endpoint to retrieve call results, dispositions, and recordings.

## Request

`GET /v1/call-logs`

### Query Parameters

| Parameter     | Type    | Required | Description                                                      |
| ------------- | ------- | -------- | ---------------------------------------------------------------- |
| `page`        | integer | No       | Page number (default: 1)                                         |
| `per_page`    | integer | No       | Results per page, max 100 (default: 25)                          |
| `lead_id`     | uuid    | No       | Filter by lead ID                                                |
| `campaign_id` | uuid    | No       | Filter by campaign ID                                            |
| `disposition` | string  | No       | Filter by disposition (e.g., `meeting_booked`, `not_interested`) |
| `date_from`   | string  | No       | Start date in ISO 8601 format (e.g., `2026-03-01T00:00:00Z`)     |
| `date_to`     | string  | No       | End date in ISO 8601 format                                      |

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET \
    "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/call-logs?campaign_id=c1d2e3f4-...&date_from=2026-03-01T00:00:00Z" \
    -H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
  ```

  ```javascript JavaScript theme={null}
  const params = new URLSearchParams({
    campaign_id: "c1d2e3f4-...",
    date_from: "2026-03-01T00:00:00Z"
  });

  const response = await fetch(
    `https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/call-logs?${params}`,
    {
      headers: {
        "Authorization": "Bearer rchd_live_xxxxxxxxxxxx"
      }
    }
  );
  const { data, meta } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/call-logs",
      headers={"Authorization": "Bearer rchd_live_xxxxxxxxxxxx"},
      params={
          "campaign_id": "c1d2e3f4-...",
          "date_from": "2026-03-01T00:00:00Z"
      }
  )
  result = response.json()
  ```
</CodeGroup>

## Response

```json theme={null}
{
  "data": [
    {
      "id": "log-uuid-1",
      "lead_id": "a1b2c3d4-...",
      "campaign_id": "c1d2e3f4-...",
      "from_number": "+33140000000",
      "to_number": "+33612345678",
      "duration": 145,
      "status": "completed",
      "disposition": "meeting_booked",
      "recording_url": "https://...",
      "started_at": "2026-03-21T14:30:00.000Z",
      "ended_at": "2026-03-21T14:32:25.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 25,
    "total": 1
  }
}
```

### Response Fields

| Field           | Type     | Description                                              |
| --------------- | -------- | -------------------------------------------------------- |
| `id`            | uuid     | Call log unique identifier                               |
| `lead_id`       | uuid     | Associated lead ID                                       |
| `campaign_id`   | uuid     | Associated campaign ID                                   |
| `from_number`   | string   | Caller phone number                                      |
| `to_number`     | string   | Called phone number                                      |
| `duration`      | integer  | Call duration in seconds                                 |
| `status`        | string   | Call status (`completed`, `no-answer`, `busy`, `failed`) |
| `disposition`   | string   | Call outcome disposition                                 |
| `recording_url` | string   | URL to the call recording (if available)                 |
| `started_at`    | datetime | Call start timestamp                                     |
| `ended_at`      | datetime | Call end timestamp                                       |

### Disposition Values

| Disposition                | Description                 |
| -------------------------- | --------------------------- |
| `appointment_scheduled`    | Appointment confirmed       |
| `callback_later`           | Lead requested a callback   |
| `not_interested`           | Lead not interested         |
| `no_answer`                | No one answered             |
| `voicemail`                | Reached voicemail           |
| `voicemail_left`           | Voicemail message left      |
| `wrong_number`             | Wrong number                |
| `wrong_person`             | Wrong contact               |
| `no_longer_at_company`     | Contact left the company    |
| `abandoned_call`           | Call abandoned              |
| `voice_assistant_filtered` | Filtered by voice assistant |
